GpgFrontend::UI::FindWidget Class Reference

Class for handling the find widget shown at buttom of a textedit-page. More...

`#include <FindWidget.h>`

Inheritance diagram for GpgFrontend::UI::FindWidget:
Collaboration diagram for GpgFrontend::UI::FindWidget:

## Public Member Functions

| FindWidget (QWidget *parent, PlainTextEditorPage *edit)

## Protected Member Functions

void | keyPressEvent (QKeyEvent *e) override

## Private Slots

void | slot_find_next ()
void | slot_find_previous ()
void | slot_find ()
void | slot_close ()

## Private Member Functions

void | set_background ()

## Private Attributes

PlainTextEditorPage * | m_text_page_
| Textedit associated to the notification.
QLineEdit * | find_edit_
| Label holding the text shown in infoBoard.

## Detailed Description

Class for handling the find widget shown at buttom of a textedit-page.

## Constructor & Destructor Documentation

## FindWidget()

GpgFrontend::UI::FindWidget::FindWidget | ( | QWidget * | parent,
|  | PlainTextEditorPage * | edit
| ) |  |

explicit

Parameters

  parent | The parent widget

References find_edit_.

## Member Function Documentation

## keyPressEvent()

void GpgFrontend::UI::FindWidget::keyPressEvent | ( | QKeyEvent * | e | ) |

overrideprotected

Parameters

  e |

## set_background()

void GpgFrontend::UI::FindWidget::set_background | ( |  | ) |

private

Set background of findEdit to red, if no match is found (Documents textcursor position equals -1), otherwise set it to white.

References find_edit_, GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), and m_text_page_.

The documentation for this class was generated from the following files:

- src/ui/widgets/FindWidget.h
- src/ui/widgets/FindWidget.cpp